MONGOC_MATCHER_MATCH(3)

NAME
mongoc_matcher_match - mongoc_matcher_match()

SYNOPSIS

bool
mongoc_matcher_match (const mongoc_matcher_t *matcher, const bson_t *document);

This function will check to see if the query compiled in matcher matches document.

DEPRECATED

WARNING: mongoc_matcher_t is deprecated and will be removed in version 2.0.

PARAMETERS

•   matcher: A mongoc_matcher_t.

•   query: A bson_t that contains the query.

RETURNS

true if document matches the query specification provided to mongoc_matcher_new(). Otherwise, false.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc